Passer au contenu principal
GET
/
cms
/
v3
/
pages
/
landing-pages
Obtenir toutes les pages de destination
curl --request GET \
  --url https://api.hubapi.com/cms/v3/pages/landing-pages \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "abStatus": "automated_loser_variant",
      "abTestId": "<string>",
      "archivedAt": "2023-11-07T05:31:56Z",
      "archivedInDashboard": true,
      "attachedStylesheets": [
        {}
      ],
      "authorName": "<string>",
      "campaign": "<string>",
      "categoryId": 123,
      "contentGroupId": "<string>",
      "contentTypeCategory": "0",
      "created": "2023-11-07T05:31:56Z",
      "createdById": "<string>",
      "currentState": "AGENT_GENERATED",
      "currentlyPublished": true,
      "domain": "<string>",
      "dynamicPageDataSourceId": "<string>",
      "dynamicPageDataSourceType": 123,
      "dynamicPageHubDbTableId": "<string>",
      "enableDomainStylesheets": true,
      "enableLayoutStylesheets": true,
      "featuredImage": "<string>",
      "featuredImageAltText": "<string>",
      "folderId": "<string>",
      "footerHtml": "<string>",
      "headHtml": "<string>",
      "htmlTitle": "<string>",
      "id": "<string>",
      "includeDefaultCustomCss": true,
      "language": "aa",
      "layoutSections": {},
      "linkRelCanonicalUrl": "<string>",
      "mabExperimentId": "<string>",
      "metaDescription": "<string>",
      "name": "<string>",
      "pageExpiryDate": 123,
      "pageExpiryEnabled": true,
      "pageExpiryRedirectId": 123,
      "pageExpiryRedirectUrl": "<string>",
      "pageRedirected": true,
      "password": "<string>",
      "publicAccessRules": [
        {}
      ],
      "publicAccessRulesEnabled": true,
      "publishDate": "2023-11-07T05:31:56Z",
      "publishImmediately": true,
      "slug": "<string>",
      "state": "<string>",
      "subcategory": "<string>",
      "templatePath": "<string>",
      "themeSettingsValues": {},
      "translatedFromId": "<string>",
      "translations": {},
      "updated": "2023-11-07T05:31:56Z",
      "updatedById": "<string>",
      "url": "<string>",
      "useFeaturedImage": true,
      "widgetContainers": {},
      "widgets": {}
    }
  ],
  "total": 123,
  "paging": {}
}

Produits pris en charge

Exige l'un des produits suivants ou un produit supérieur.
Marketing HubMarketing Hub -Gratuit
Sales HubSales Hub -Gratuit
Service HubService Hub -Gratuit
Content HubContent Hub -Gratuit

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de requête

after
string

Le jeton de curseur de pagination de la dernière ressource lue avec succès sera renvoyé en tant que propriété JSON « paging.next.after » d'une réponse paginée contenant plus de résultats.

archived
boolean

S'il faut renvoyer uniquement les résultats qui ont été archivés.

createdAfter
string<date-time>
createdAt
string<date-time>
createdBefore
string<date-time>
limit
integer<int32>

Le nombre maximum de résultats à afficher par page.

property
string
sort
string[]
updatedAfter
string<date-time>
updatedAt
string<date-time>
updatedBefore
string<date-time>

Réponse

successful operation

Response object for collections of pages with pagination information.

results
object[]
requis

Collection de pages.

total
integer<int32>
requis

Nombre total de pages.

paging
object

Model definition for forward paging.

Last modified on March 30, 2026